import { UndefinedOrNullOr } from '../../types';
export declare class StringHelper {
    private static hasNumbersInStringRegex;
    private static hasOnlyLettersInStringRegex;
    /**
     * Returns <code>true</code> if the given text contains no numbers, <code>false</code> if not
     * @param {string} text
     * @return boolean
     */
    static hasNoNumbersInString: (text: UndefinedOrNullOr<string>) => boolean;
    /**
     * Returns <code>true</code> if the given text contains numbers, <code>false</code> if not
     * @param {string} text
     * @return boolean
     */
    static hasNumbersInString: (text: UndefinedOrNullOr<string>) => boolean;
    /**
     * Returns <code>true</code> if the given text contains only a-zA-Z, <code>false</code> if it also contains special characters or numbers
     * @param {string} text
     * @return boolean
     */
    static hasOnlyLettersInString: (text: UndefinedOrNullOr<string>) => boolean;
    /**
     * Returns <code>true</code> if the given text contains not only a-zA-Z, <code>false</code> if it contains only a-zA-Z
     * @param {string} text
     * @return boolean
     */
    static hasNotOnlyLettersInString: (text: UndefinedOrNullOr<string>) => boolean;
}
//# sourceMappingURL=_string.d.ts.map